org.eclipse.jetty.websocket

## Class WebSocketServletConnectionRFC6455

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.websocket.WebSocketConnectionRFC6455
    - - org.eclipse.jetty.websocket.WebSocketServletConnectionRFC6455

- All Implemented Interfaces:
    Connection, AsyncConnection, WebSocketConnection, WebSocketServletConnection

      public class WebSocketServletConnectionRFC6455
      extends WebSocketConnectionRFC6455
      implements WebSocketServletConnection

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

      `_endp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketServletConnectionRFC6455(WebSocketFactory factory, WebSocket websocket, EndPoint endpoint, WebSocketBuffers buffers, long timestamp, int maxIdleTime, String protocol, List<Extension> extensions, int draft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handshake(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String subprotocol)`
    `void` | `onClose()` Called after the connection is closed

    - ### Methods inherited from class org.eclipse.jetty.websocket.WebSocketConnectionRFC6455

      `closeIn, closeOut, fillBuffersFrom, getConnection, getExtensions, handle, hashKey, isIdle, isSuspended, onFrameHandshake, onIdleExpired, onInputShutdown, onWebSocketOpen, shutdown, toString`

    - ### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

      `getEndPoint, getTimeStamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocketConnection

      `fillBuffersFrom, getConnection, getExtensions, shutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.nio.AsyncConnection

      `onInputShutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `getTimeStamp, handle, isIdle, isSuspended, onIdleExpired`

- - ### Constructor Detail

    - #### WebSocketServletConnectionRFC6455

          public WebSocketServletConnectionRFC6455(WebSocketFactory factory,
                                           WebSocket websocket,
                                           EndPoint endpoint,
                                           WebSocketBuffers buffers,
                                           long timestamp,
                                           int maxIdleTime,
                                           String protocol,
                                           List<Extension> extensions,
                                           int draft)
                                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### handshake

          public void handshake(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       String subprotocol)
                         throws IOException

      Specified by:
        `handshake` in interface `WebSocketServletConnection`
      Throws:
        `IOException`

    - #### onClose

          public void onClose()

      Description copied from interface: `Connection`
      Called after the connection is closed
      Specified by:
        `onClose` in interface `Connection`
      Overrides:
        `onClose` in class `WebSocketConnectionRFC6455`

Copyright © 1995-2016 Mort Bay Consulting. All Rights Reserved.